. Tools/environment.sh

CONF=$1
TABL=$2

echo We assume you did read_config.bat and
echo 'applied any necessary changes (Readme.htm).'
echo 'We try to make mtt (generate output mtt files)'

if [ -f "$CONF" ]
then
	echo You already have "$CONF", great
else
	echo Copying autosaved_mcd.txt to "$CONF"
	cp config/autosaved_mcd.txt "$CONF"
fi

if [ -f "$TABL" ]
then
	echo You already have "$TABL", great
else
	echo Copying autosaved_mct.txt to "$TABL"
	cp config/autosaved_mct.txt "$TABL"
fi

if [ -f "$CONF" && -f "$TABL" ]
then
	echo 'input files in place, ready to make mtt generate output'
else
	echo 'You still lack config or tables, OUCH'
	echo we try to read_config from ECU,
	echo your milage may vary.
	Tools/read_config.sh "$CONF" "$TABL"
fi

if [ -f "$CONF" ]
then
	Tools/makeconfig.exe -c "$CONF" -g firmware/global.h -l config.log
else 
	echo Cannot locate "$CONF", sorry
fi

if [ -f "$TABL" ]
then
	Tools/maketables.exe -t "$TABL" -l tables.log
else
	echo Cannot locate "$TABL", sorry
fi

echo press ENTER
read dummy
