@echo off

set NDIR=Tools\ntc_airX_cltfactor
set CLTHEX=%NDIR%\cltfactor.hex
set AIRHEX=%NDIR%\airXfactor.hex
rem small tempfile:
set THEX=temppatch.hex
rem big result:
set RHEX=firmware\vems-patched.hex
rem orig:
set VHEX=firmware\vems.hex
rem backup of orig
set VBKUP=firmware\vems-orig.hex

echo Will patch firmware/vems.hex with your chosen temp factor files.
echo usage: tempsensor_change.bat air-ohm clt-ohm aref
echo example: tempsensor_change.bat 2400 2252 256
 
echo Alternatively,
echo choose in Tools\ntc_airX_cltfactor directory,
echo by copying your selected files to trimmed name airXfactor.hex and cltfactor.hex

echo CTRL-c to abort
echo -----------------------------------------
pause

if exist %NDIR%\airXfactor_%1_%3.hex (
	copy %NDIR%\airXfactor_%1_%3.hex %AIRHEX%
)

if exist %NDIR%\cltfactor_%2_%3.hex (
	copy %NDIR%\cltfactor_%2_%3.hex %CLTHEX%
)

echo > %THEX%
if exist %CLTHEX% (
	type %CLTHEX% > %THEX%
)

if exist %AIRHEX% (
	type %AIRHEX% >> %THEX%
)

if exist %VBKUP% goto bypass
copy %VHEX% %VBKUP%
: bypass

Tools\ntc_airX_cltfactor\hexpatch.exe %VHEX% < %THEX% > %RHEX% 
copy %RHEX% %VHEX%

echo %VHEX% updated, but NOT sent to ECU.
echo You want to run upload_firmware.bat to upload firmware to ECU

pause

